package com.xt.hb.data.aq.model;

import java.util.List;

public class TreeNode {
	String id;

	String name;

	String attr;

	String online;
	/** 所在地：1；港区：2；经营人：3 */
	String type;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getFid() {
		return fid;
	}

	public void setFid(String fid) {
		this.fid = fid;
	}

	String fid;

	public String getAttr() {
		return attr;
	}

	public void setAttr(String attr) {
		this.attr = attr;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<TreeNode> getChildren() {
		return children;
	}

	List<TreeNode> children;

	public TreeNode() {
	}

	public TreeNode(ThreeColumn column) {
		this.id = column.getColumn1();
		this.name = column.getColumn2();
		this.attr = column.getColumn3();
		this.online = column.getColumn4();
	}

	public void setChildren(List<TreeNode> children) {
		this.children = children;
	}

	public String getOnline() {
		return online;
	}

	public void setOnline(String online) {
		this.online = online;
	}

}
